Skip to main content
PUT
/
v1
/
ai
/
agents
/
tasks
/
{taskId}
/
permissions
Set Task Permissions
curl --request PUT \
  --url https://eu1.api.matillion.com/dpc/v1/ai/agents/tasks/{taskId}/permissions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grantedPermissions": [
    {
      "toolName": "execute_sql"
    }
  ]
}
'
{
  "grantedPermissions": [
    {
      "toolName": "execute_sql"
    }
  ],
  "taskId": "550e8400-e29b-41d4-a716-446655440000"
}

Documentation Index

Fetch the complete documentation index at: https://docs.maia.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

taskId
string<uuid>
required

Body

application/json
grantedPermissions
object[]
required

Response

Permissions updated successfully

grantedPermissions
object[]

The full list of tools now granted permission for this task

taskId
string<uuid>

The unique identifier of the task

Example:

"550e8400-e29b-41d4-a716-446655440000"